Package org.drinkless.tdlib

# Class TdApi.EditQuickReplyMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.EditQuickReplyMessage

Enclosing class:
  `TdApi`

public static class TdApi.EditQuickReplyMessage extends TdApi.Function<TdApi.Ok>
Asynchronously edits the text, media or caption of a quick reply message. Use quickReplyMessage.canBeEdited to check whether a message can be edited. Media message can be edited only to a media message. Checklist messages can be edited only to a checklist message. The type of message content in an album can't be changed with exception of replacing a photo with a video or vice versa.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputMessageContent`
  `inputMessageContent`
  New content of the message.
  `long`
  `messageId`
  Identifier of the message.
  `int`
  `shortcutId`
  Unique identifier of the quick reply shortcut with the message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditQuickReplyMessage()`
  Default constructor for a function, which asynchronously edits the text, media or caption of a quick reply message.
  `EditQuickReplyMessage(int shortcutId, long messageId, TdApi.InputMessageContent inputMessageContent)`
  Creates a function, which asynchronously edits the text, media or caption of a quick reply message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### shortcutId

    public int shortcutId
    Unique identifier of the quick reply shortcut with the message.

  - ### messageId

    public long messageId
    Identifier of the message.

  - ### inputMessageContent

    public TdApi.InputMessageContent inputMessageContent
    New content of the message. Must be one of the following types: inputMessageAnimation, inputMessageAudio, inputMessageChecklist, inputMessageDocument, inputMessagePhoto, inputMessageText, or inputMessageVideo.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EditQuickReplyMessage

    public EditQuickReplyMessage()
    Default constructor for a function, which asynchronously edits the text, media or caption of a quick reply message. Use quickReplyMessage.canBeEdited to check whether a message can be edited. Media message can be edited only to a media message. Checklist messages can be edited only to a checklist message. The type of message content in an album can't be changed with exception of replacing a photo with a video or vice versa.

    Returns `Ok`

  - ### EditQuickReplyMessage

    public EditQuickReplyMessage(int shortcutId, long messageId, TdApi.InputMessageContent inputMessageContent)
    Creates a function, which asynchronously edits the text, media or caption of a quick reply message. Use quickReplyMessage.canBeEdited to check whether a message can be edited. Media message can be edited only to a media message. Checklist messages can be edited only to a checklist message. The type of message content in an album can't be changed with exception of replacing a photo with a video or vice versa.

    Returns `Ok`

    Parameters:
      `shortcutId` - Unique identifier of the quick reply shortcut with the message.
      `messageId` - Identifier of the message.
      `inputMessageContent` - New content of the message. Must be one of the following types: inputMessageAnimation, inputMessageAudio, inputMessageChecklist, inputMessageDocument, inputMessagePhoto, inputMessageText, or inputMessageVideo.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR